Skip to main content
GET
/
mcp-integrations
List MCP Integrations
curl --request GET \
  --url https://api.portkey.ai/v1/mcp-integrations \
  --header 'x-portkey-api-key: <api-key>'
import requests

url = "https://api.portkey.ai/v1/mcp-integrations"

headers = {"x-portkey-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-portkey-api-key': '<api-key>'}};

fetch('https://api.portkey.ai/v1/mcp-integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "owner_id": "<string>",
      "status": "<string>",
      "url": "<string>",
      "configurations": {},
      "created_at": "2023-11-07T05:31:56Z",
      "last_updated_at": "2023-11-07T05:31:56Z",
      "slug": "<string>",
      "workspace_id": "<string>",
      "description": "<string>",
      "workspaces_count": 123
    }
  ],
  "total": 123,
  "has_more": true
}

Authorizations

x-portkey-api-key
string
header
required

Query Parameters

organisation_id
string<uuid>

Organisation ID (required when using org admin API key)

type
enum<string>
Available options:
workspace,
organisation,
all
workspace_id
string
page_size
integer
default:100
Required range: 1 <= x <= 1000
current_page
integer
default:0
Required range: x >= 0

Response

200 - application/json

OK

data
object[]
total
integer
has_more
boolean
Last modified on May 13, 2026